﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <RootNamespace>UserApi.Services</RootNamespace>
    </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.0"/>
    <PackageReference Include="NRedisStack" Version="0.12.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\UserApi.Domain\UserApi.Domain.csproj" />
    <ProjectReference Include="..\UserApi.MessageQueue\UserApi.MessageQueue.csproj" />
  </ItemGroup>

</Project>
